
# The target ALF Event Manager to forward processed events to
#target.url = http://localhost:8099/ALFEventManager/services/ALFEventManagerSOAP
target.url = http://localhost:8085/eventmanager/services/ALFEventManagerDocLit

# Merging interval in seconds
# This specifies the minimum time the service will merge incoming events before starting
# to move them into the outbound queue. Please note, that this is a minimum delay before
# events are forwarded. In cases where the outbound queue processing takes longer than the
# given interval, merging will continue until outbound queue has been processed completely.
# default: interval = 10
interval = 30

# Initial delay in seconds before sending events recovered from the file based database. This should be
# smaller than the 'interval' setting. Default is 20 seconds.
init_delay = 20

# In-Memory Database (H2 in this case) to use for event processing
# This is the JDBC connection string.
# default: memdb = jdbc:h2:mem:lockdb;DB_CLOSE_DELAY=-1;
memdb = jdbc:h2:mem:lockdb;DB_CLOSE_DELAY=-1;

# Embedded file based database (H2 in this case) to use for event persistence
# This is the JDBC connection string.
# default: fdb = jdbc:h2:file:~/alf_event_db
fdb = jdbc:h2:file:~/alf_event_db

# Activate Emitter
# Default is true, otherwise XServices will receive events, but not make any attempt to
# forward them. Memory inbound queue will only be written to disk when the service is
# gracefully stopped.
emitter_active = true

# EventLogCleaner interval in minutes, how often to move all registered events from memory to the file based
# storage. For trace and debugging purpose. Default value is every 5 minutes. A value of zero or smaller
# deactivates the cleaner. Value in minutes.
cleaner_interval = 4

# EventLogCleaner retention interval, max age of logs in the tbl_events_all table. The job runs once an hour.
# Value is in hours and default is 72.
# logMaxAge = 72
logMaxAge = 72

# ALFEventFilter classes, executed in order. This can be a comma separated list of classes
# default: empty
alf_filter = net.brutex.xservices.util.EventIdTruncateFilter